#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  qcoro-0.13.0

- Next

  SpiderMonkey from firefox-140.10.1

- Up
- Home

# simdutf-9.0.0

## Introduction to simdutf

The simdutf package contains a library used for processing Unicode characters with SIMD optimizations. This includes the SSE2 and AVX2 instruction sets and more.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/simdutf/simdutf/archive/v9.0.0/simdutf-9.0.0.tar.gz

- Download MD5 sum: a20af35e2a7c9737d97b7beae96e7146

- Download size: 2.4 MB

- Estimated disk space required: 44 MB

- Estimated build time: 0.3 SBU (add 1.1 SBU for tests)

### simdutf Dependencies

#### Required

CMake-4.3.2

## Installation of simdutf

Install simdutf by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr  \
          -D CMAKE_BUILD_TYPE=Release   \
          -D BUILD_SHARED_LIBS=ON       \
          -G Ninja ..                   &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: fastbase64 and sutf
Installed Libraries: libsimdutf.so
Installed Directories: /usr/include/simdutf and /usr/lib/cmake/simdutf

### Short Descriptions

fastbase64 | encodes and decodes base64 with optimizations
sutf | converts the encoding of an input file from one encoding to another using the simdutf library
`libsimdutf.so` | contains functions that process Unicode characters with SIMD optimizations

- Prev

  qcoro-0.13.0

- Next

  SpiderMonkey from firefox-140.10.1

- Up
- Home